Package weka.classifiers

# Class MultipleClassifiersCombiner

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.MultipleClassifiersCombiner

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Classifier`, `BatchPredictor`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `ParallelMultipleClassifiersCombiner`, `RandomizableMultipleClassifiersCombiner`

public abstract class MultipleClassifiersCombiner extends AbstractClassifier
Abstract utility class for handling settings common to meta classifiers that build an ensemble from multiple classifiers.

Version:
  $Revision: 12204 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultipleClassifiersCombiner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `classifiersTipText()`
  Returns the tip text for this property
  `Capabilities`
  `getCapabilities()`
  Returns combined capabilities of the base classifiers, i.e., the capabilities all of them have in common.
  `Classifier`
  `getClassifier(int index)`
  Gets a single classifier from the set of available classifiers.
  `Classifier[]`
  `getClassifiers()`
  Gets the list of possible classifers to choose from.
  `String[]`
  `getOptions()`
  Gets the current settings of the Classifier.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options
  `void`
  `postExecution()`
  Perform any teardown stuff that might need to happen after execution.
  `void`
  `preExecution()`
  Perform any setup stuff that might need to happen before commandline execution.
  `void`
  `setClassifiers(Classifier[] classifiers)`
  Sets the list of possible classifers to choose from.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionForInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `buildClassifier`

- ## Constructor Details

  - ### MultipleClassifiersCombiner

    public MultipleClassifiersCombiner()

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractClassifier`
    Returns:
      an enumeration of all the available options

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options. Valid options are:

    -B classifierstring
    Classifierstring should contain the full class name of a scheme included for selection followed by options to the classifier (required, option should be used once for each classifier).

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractClassifier`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the Classifier.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractClassifier`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### classifiersTipText

    public String classifiersTipText()
    Returns the tip text for this property
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### setClassifiers

    public void setClassifiers(Classifier[] classifiers)
    Sets the list of possible classifers to choose from.
    Parameters:
      `classifiers` - an array of classifiers with all options set.

  - ### getClassifiers

    public Classifier[] getClassifiers()
    Gets the list of possible classifers to choose from.
    Returns:
      the array of Classifiers

  - ### getClassifier

    public Classifier getClassifier(int index)
    Gets a single classifier from the set of available classifiers.
    Parameters:
      `index` - the index of the classifier wanted
    Returns:
      the Classifier

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns combined capabilities of the base classifiers, i.e., the capabilities all of them have in common.
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `Classifier`
    Overrides:
      `getCapabilities` in class `AbstractClassifier`
    Returns:
      the capabilities of the base classifiers
    See Also:
      - `Capabilities`

  - ### preExecution

    public void preExecution() throws Exception
    Description copied from class: `AbstractClassifier`
    Perform any setup stuff that might need to happen before commandline execution. Subclasses should override if they need to do something here
    Specified by:
      `preExecution` in interface `CommandlineRunnable`
    Overrides:
      `preExecution` in class `AbstractClassifier`
    Throws:
      `Exception` - if a problem occurs during setup

  - ### postExecution

    public void postExecution() throws Exception
    Description copied from class: `AbstractClassifier`
    Perform any teardown stuff that might need to happen after execution. Subclasses should override if they need to do something here
    Specified by:
      `postExecution` in interface `CommandlineRunnable`
    Overrides:
      `postExecution` in class `AbstractClassifier`
    Throws:
      `Exception` - if a problem occurs during teardown